## com.lowagie.text
Class MarkedObject

    java.lang.Object
      com.lowagie.text.MarkedObject

All Implemented Interfaces:
  Element

Direct Known Subclasses:
  MarkedSection

    public class MarkedObject

extends java.lang.Object
implements Element

Wrapper that allows to add properties to 'basic building block' objects. Before iText 1.5 every 'basic building block' implemented the MarkupAttributes interface. By setting attributes, you could add markup to the corresponding XML and/or HTML tag. This functionality was hardly used by anyone, so it was removed, and replaced by the MarkedObject functionality.

Field Summary
`protected Element` `element` The element that is wrapped in a MarkedObject.
`protected java.util.Properties` `markupAttributes` Contains extra markupAttributes

Fields inherited from interface com.lowagie.text.Element

`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JBIG2, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE, YMARK`

Constructor Summary
`protected` `MarkedObject()` This constructor is for internal use only.
`` `MarkedObject(Element element)` Creates a MarkedObject.

Method Summary
`java.util.ArrayList` `getChunks()` Gets all the chunks in this element.
`java.util.Properties` `getMarkupAttributes()` Getter for the markup attributes.
`boolean` `isContent()` Checks if this element is a content object.
`boolean` `isNestable()` Checks if this element is nestable.
`boolean` `process(ElementListener listener)` Processes the element by adding it (or the different parts) to an `ElementListener`.
`void` `setMarkupAttribute(java.lang.String key, java.lang.String value)` Adds one markup attribute.
`int` `type()` Gets the type of the text element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.lowagie.text.Element
`toString`

Field Detail

### element

    protected Element element

  The element that is wrapped in a MarkedObject.

### markupAttributes

    protected java.util.Properties markupAttributes

  Contains extra markupAttributes

Constructor Detail

### MarkedObject

    protected MarkedObject()

  This constructor is for internal use only.

### MarkedObject

    public MarkedObject(Element element)

  Creates a MarkedObject.

Method Detail

### getChunks

    public java.util.ArrayList getChunks()

  Gets all the chunks in this element.

  Specified by:
    `getChunks` in interface `Element`
  Returns:
    an `ArrayList`

### process

    public boolean process(ElementListener listener)

  Processes the element by adding it (or the different parts) to an `ElementListener`.

  Specified by:
    `process` in interface `Element`
  Parameters:
    `listener` - an `ElementListener`
  Returns:
    `true` if the element was processed successfully

### type

    public int type()

  Gets the type of the text element.

  Specified by:
    `type` in interface `Element`
  Returns:
    a type

### isContent

    public boolean isContent()

  Description copied from interface: `Element`
  Checks if this element is a content object. If not, it's a metadata object.

  Specified by:
    `isContent` in interface `Element`
  Returns:
    true if this is a 'content' element; false if this is a 'metadata' element
  Since:
    iText 2.0.8
  See Also:
    `Element.isContent()`

### isNestable

    public boolean isNestable()

  Description copied from interface: `Element`
  Checks if this element is nestable.

  Specified by:
    `isNestable` in interface `Element`
  Returns:
    true if this element can be nested inside other elements.
  Since:
    iText 2.0.8
  See Also:
    `Element.isNestable()`

### getMarkupAttributes

    public java.util.Properties getMarkupAttributes()

  Getter for the markup attributes.

  Returns:
    the markupAttributes

### setMarkupAttribute

    public void setMarkupAttribute(java.lang.String key,
                                   java.lang.String value)

  Adds one markup attribute.

Hosted by Hostbasket